[ooo-build-commit] .: bin/piece bin/setup.in src/Makefile.am src/sofficerc-upstream
Petr Mladek
pmladek at kemper.freedesktop.org
Tue Apr 20 02:48:53 PDT 2010
bin/piece/file-list-postprocess | 9 ++++++---
bin/piece/install-bootstrap | 24 +++++++++++++++++-------
bin/piece/post-inst-postprocess | 14 ++++++++++++++
bin/setup.in | 1 +
src/Makefile.am | 1 +
src/sofficerc-upstream | 9 +++++++++
6 files changed, 48 insertions(+), 10 deletions(-)
New commits:
commit ebb2387737a3c8595b4388b884bf3f38a2252086
Author: Petr Mladek <pmladek at suse.cz>
Date: Tue Apr 20 11:43:44 2010 +0200
Update the branding installation for ooo320-m14 for the split build
* bin/piece/file-list-postprocess: install also intro.png; install about.png
instead of about.bmp
* bin/piece/install-bootstrap: install the built sofficerc
* bin/piece/post-inst-postprocess: check and remove the installed sofficerc
if the prebuilt was used
* bin/setup.in: export OOO_BUILD_NOARCH
* src/Makefile.am: pack sofficerc-upstream
* src/sofficerc-upstream: we need the prebuilt config file to allow separate
branding package and to avoid devel package in the post process
diff --git a/bin/piece/file-list-postprocess b/bin/piece/file-list-postprocess
index 3cc9fbe..e0c1541 100755
--- a/bin/piece/file-list-postprocess
+++ b/bin/piece/file-list-postprocess
@@ -54,11 +54,14 @@ echo "$OO_INSTDIR/basis$VERSION/program/java-set-classpath" >>files-$piece.txt
# FIXME: about, intro are not isntalled by the installer
if test "$OOO_BUILD_NOARCH" = 'YES' ; then
# create only symlinks; the icons will be packaged separately
- ln -sf $OO_INSTDIR_SHARE/program/about.bmp $DESTDIR$OO_INSTDIR/program
+ ln -sf $OO_INSTDIR_SHARE/program/about.png $DESTDIR$OO_INSTDIR/program
+ ln -sf $OO_INSTDIR_SHARE/program/intro.png $DESTDIR$OO_INSTDIR/program
ln -sf $OO_INSTDIR_SHARE/program/intro.bmp $DESTDIR$OO_INSTDIR/program
else
- cp $OO_SOLVERDIR/default_images/introabout/about.bmp $DESTDIR$OO_INSTDIR/program || exit 1;
+ cp $OO_SOLVERDIR/default_images/introabout/about.png $DESTDIR$OO_INSTDIR/program || exit 1;
+ cp $OO_SOLVERDIR/default_images/introabout/intro.png $DESTDIR$OO_INSTDIR/program || exit 1;
cp $OO_SOLVERDIR/default_images/introabout/intro.bmp $DESTDIR$OO_INSTDIR/program || exit 1;
fi
-echo "$OO_INSTDIR/program/about.bmp" >>files-$piece.txt
+echo "$OO_INSTDIR/program/about.png" >>files-$piece.txt
+echo "$OO_INSTDIR/program/intro.png" >>files-$piece.txt
echo "$OO_INSTDIR/program/intro.bmp" >>files-$piece.txt
diff --git a/bin/piece/install-bootstrap b/bin/piece/install-bootstrap
index 5a707e2..6f23314 100755
--- a/bin/piece/install-bootstrap
+++ b/bin/piece/install-bootstrap
@@ -22,11 +22,11 @@ mkdir -p $OOINSTDIR/ooo-build/patches
mkdir -p $OOINSTDIR/ooo-build/po
mkdir -p $OOINSTDIR/ooo-build/desktop
mkdir -p $OOINSTDIR/ooo-build/man
-cp -a $TOOLSDIR/bin/* $OOINSTDIR/ooo-build/bin
-cp -a $TOOLSDIR/patches/* $OOINSTDIR/ooo-build/patches
-cp -a $TOOLSDIR/po/ooo-build-*.sdf $OOINSTDIR/ooo-build/po
-cp -a $TOOLSDIR/desktop/* $OOINSTDIR/ooo-build/desktop
-cp -a $TOOLSDIR/man/* $OOINSTDIR/ooo-build/man
+cp -a $TOOLSDIR/bin/* $OOINSTDIR/ooo-build/bin || exit 1;
+cp -a $TOOLSDIR/patches/* $OOINSTDIR/ooo-build/patches || exit 1;
+cp -a $TOOLSDIR/po/ooo-build-*.sdf $OOINSTDIR/ooo-build/po || exit 1;
+cp -a $TOOLSDIR/desktop/* $OOINSTDIR/ooo-build/desktop || exit 1;
+cp -a $TOOLSDIR/man/* $OOINSTDIR/ooo-build/man || exit 1;
# copy pieces of interest into src to be moved out later ...
echo "copy source pieces"
@@ -42,17 +42,27 @@ cp -a \
$TOOLSDIR/src/*.odb \
$TOOLSDIR/src/acor*.dat \
$TOOLSDIR/src/sg3.* \
+ $TOOLSDIR/src/sofficerc-upstream \
$TOOLSDIR/src/default_images \
$TOOLSDIR/src/helpcontent2 \
$TOOLSDIR/src/icons \
$TOOLSDIR/src/layout \
- $OOINSTDIR/ooo-build/src
+ $OOINSTDIR/ooo-build/src || exit 1;
# src/sdf
mkdir -p $OOINSTDIR/ooo-build/src/sdf
cp -a \
$TOOLSDIR/src/sdf/*.sdf \
$TOOLSDIR/src/sdf/README \
- $OOINSTDIR/ooo-build/src/sdf
+ $OOINSTDIR/ooo-build/src/sdf || exit 1;
+
+# branding stuff should go into noarch path
+if test "$OOO_BUILD_NOARCH" = 'YES' ; then
+ OO_INSTDIR_SHARE=`echo $OOINSTDIR | sed -e "s|lib6\?4\?|share|"`
+ mkdir -p $OO_INSTDIR_SHARE/ooo-build/src
+ mv \
+ $OOINSTDIR/ooo-build/src/sofficerc-upstream \
+ $OO_INSTDIR_SHARE/ooo-build/src || exit 1;
+fi
find $OOINSTDIR/ooo-build -depth -name "CVS" -type d -exec rm -rf {} \;
find $OOINSTDIR/ooo-build -name "*.orig" -exec rm -rf {} \;
diff --git a/bin/piece/post-inst-postprocess b/bin/piece/post-inst-postprocess
index 18b38cb..aa241b4 100755
--- a/bin/piece/post-inst-postprocess
+++ b/bin/piece/post-inst-postprocess
@@ -24,6 +24,20 @@ UNO_JAVA_JFW_VENDOR_SETTINGS=file://$OO_INSTDIR/ure/share/misc/javavendors.xml
EOT
export JVMFWK_CONFIGFILE=file://`pwd`/jvmfwk3rc
+# check and remove the sofficerc
+# we use the prebuilt one in the upstream branding package
+# FIXME: it would be possible to generate this file by the installer, e.g. in bootstrap
+if test "$DISTRO" = "SUSE" || echo "$DISTRO" | grep -q "SUSE-11" ; then
+ if diff -q $DESTDIR$OO_INSTDIR/program/sofficerc $OO_INSTDIR_SHARE/ooo-build/src/sofficerc-upstream ; then
+ rm $DESTDIR$OO_INSTDIR/program/sofficerc
+ ln -sf $OO_INSTDIR_SHARE/program/sofficerc $DESTDIR$OO_INSTDIR/program/sofficerc
+ else
+ echo "Error: The file \"sofficerc\" has changed in the sources"
+ echo " Please, update the prebuilt variant in $OO_INSTDIR_SHARE/ooo-build/src/sofficerc-upstream"
+ exit 1;
+ fi
+fi
+
# needed to register python components
export PYTHONPATH=$OO_INSTDIR/basis$VERSION/program
diff --git a/bin/setup.in b/bin/setup.in
index 8e8027f..33a8b26 100755
--- a/bin/setup.in
+++ b/bin/setup.in
@@ -23,6 +23,7 @@ ENABLE_CCACHE='@ENABLE_CCACHE@'
ENABLE_ICECREAM='@ENABLE_ICECREAM@'
ICECREAM_BINDIR='@ICECREAM_BINDIR@'
MAX_JOBS='@MAX_JOBS@'
+export OOO_BUILD_NOARCH='@OOO_BUILD_NOARCH@'
# do not lost ARCH_FLAGS from the environmnet; potential duplicates should not harm
ARCH_FLAGS="$ARCH_FLAGS @WITH_ARCH_FLAGS@"
OOO_WIDGET_FLAGS='@OOO_WIDGET_FLAGS@'
diff --git a/src/Makefile.am b/src/Makefile.am
index 2c6b4be..08476fe 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -36,6 +36,7 @@ EXTRA_DIST=\
openabout_pld.bmp \
openintro_fsfhu.bmp \
sg3.sdg sg3.sdv sg3.thm \
+ sofficerc-upstream \
tango_mainapp_16.png \
glib-1.2.10-ooo.patch \
libIDL-0.6.8-ooo.patch \
diff --git a/src/sofficerc-upstream b/src/sofficerc-upstream
new file mode 100644
index 0000000..62b04de
--- /dev/null
+++ b/src/sofficerc-upstream
@@ -0,0 +1,9 @@
+[Bootstrap]
+HideEula=1
+Logo=1
+NativeProgress=true
+ProgressBarColor=14,133,205
+ProgressFrameColor=207,208,211
+ProgressPosition=185,206
+ProgressSize=320,7
+URE_BOOTSTRAP=${ORIGIN}/fundamentalrc
More information about the ooo-build-commit
mailing list